# Namespace: validation_module

## validation_module

Módulo validación, utilizado realizar la validación de los resultados obtenidos en el anísis de nicho y comunidad ecológica.

Source:
  - validation_module.js, line 2

### Methods

#### (private, static) ._getLimitBoudaries(item_chart)

Éste método recalcula los límites superiores e inferiores de los deciles que son enviados por el conjunto de prueba con el fin de eliminar rangos intermedios entre los deciles, el promedio del limite inferior de decil N con el limite superior del decil N-1.

##### Parameters:

Name | Type | Description
--- | --- | ---
`item_chart` | array | Array con el resultado de cada una de las iteraciones realizadas del análisis de nicho ecológico

Source:
  - validation_module.js, line 184

#### (private, static) ._getMapSpecies(scoreSpecies, spGridid)

Éste método obtiene los scores de las especies que se encuentran en el conjunto de prueba basado en los resultados del conjunto de entrenamiento.

##### Parameters:

Name | Type | Description
--- | --- | ---
`scoreSpecies` | array | Mapa de score de las especies por grupo de variables
`spGridid` | array | Celdas con intersección entre el conjunto de prueba y la especie objetivo

Source:
  - validation_module.js, line 333

#### (private, static) ._getMapSpecies(item_chart)

Éste método obtiene el score de las especies que resultaron del conjunto de entrenamiento.

##### Parameters:

Name | Type | Description
--- | --- | ---
`item_chart` | array | Array con el resultado de cada una de las iteraciones realizadas del análisis de nicho ecológico

Source:
  - validation_module.js, line 269

#### (private, static) ._getMeasure(decilBoundaries, scoresByGroup)

Éste método obtiene los verdaderos positivos, falsos negativos, falsos positivos y recall por cada iteración.

##### Parameters:

Name | Type | Description
--- | --- | ---
`decilBoundaries` | array | Array con los límites superiores e inferiores de cada decil
`scoresByGroup` | array | Array con los cores por celda de las celdas con intersección entre el conjunto de prueba y la especie objetivo

Source:
  - validation_module.js, line 391

#### (private, static) ._initilizeElementsForValidationModule()

Éste método inicializa variables y componentes que son necesarios en el proceso de validación.

Source:
  - validation_module.js, line 34

#### (static) .set_histogram_module(histogram_module)

Método setter del módulo histograma

##### Parameters:

Name | Type | Description
--- | --- | ---
`histogram_module` | object | Módulo histograma

Source:
  - validation_module.js, line 20

#### (static) .startValidationModule()

Éste método llama a la función que inicializa las variables necesarias para realizar el proceso de validación.

Source:
  - validation_module.js, line 482

#### (static) .validationProcess(validationData, sp_gridids, n_iterations, id_chartscr_decil)

Éste método obtiene los valores de recall de los cálculos realizados a través del conteo de verdaderos positivos, falsos negativos y falsos positivos de un conjunto de datos.

##### Parameters:

Name | Type | Description
--- | --- | ---
`validationData` | array | Array con los resultados obtenidos en las iteraciones hechas del anáslisis de nicho ecológico
`sp_gridids` | array | Array con los id de las celdas que componen la malla
`n_iterations` | integer | Número de iteraciones realizadas
`id_chartscr_decil` | String | Id del contenedor del histograma donde se despliegan los resultados de validación

Source:
  - validation_module.js, line 47